Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066608 - keystone discover fails if ssl is configured
Summary: keystone discover fails if ssl is configured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-keystoneclient
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: z3
: 4.0
Assignee: Jakub Ruzicka
QA Contact: Udi
URL:
Whiteboard:
Depends On: 1073572
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 17:27 UTC by Alan Pevec
Modified: 2016-04-27 02:34 UTC (History)
8 users (show)

Fixed In Version: python-keystoneclient-0.6.0-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously in Identity, a bug in python-keystoneclient caused the 'keystone discover' command to not work if SSL was configured. This was fixed by rebasing keystoneclient to upstream 0.6.0. Now the 'keystone discover' command works with SSL.
Clone Of: 1058291
Environment:
Last Closed: 2014-03-25 19:24:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0334 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform 4 Bug Fix and Enhancement Advisory 2014-03-25 23:22:45 UTC
OpenStack gerrit 67474 None None None Never

Description Alan Pevec 2014-02-18 17:27:47 UTC
--- Additional comment from Nathan Kinder

- keystoneclient fix merged upstream in https://review.openstack.org/67474

--- Additional comment from Alan Pevec

(In reply to Nathan Kinder)
> Targeting for A2.  We should cherry-pick the upstream keystoneclient patch. 

Changing component for this part.

(In reply to Jamie Lennox)
> Keystone client released with discover fix, i think it was 0.5.1 (might have
> been 0.5.0). Need the init script timeout fix still.

We can't rebase to >= 0.4.2 as it breaks puppet-keystone module which still uses deprecated --endpoint option which was removed in 0.4.2.

I'll create new A3 bz against keystoneclient to backport discover with ssl fix.

Comment 1 Jakub Ruzicka 2014-03-06 15:20:14 UTC
I'm going to rebase keystoneclient to 0.6.0 which includes the fix.

Comment 4 Udi 2014-03-12 13:49:09 UTC
Verified in openstack-keystone-2013.2.2-1.el6ost.noarch

Comment 6 errata-xmlrpc 2014-03-25 19:24:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0334.html


Note You need to log in before you can comment on or make changes to this bug.